LOIC en Ubuntu : Instala LOIC en tu distribución de Debian y Ubuntu para comprobar la seguridad de tus cortafuegos

Escrito por Sergio De Luz
Manuales

LOIC es un programa muy conocido últimamente gracias al grupo Anonymous que ataca páginas web que vulneran la libertad de Internet.

LOIC se puede conseguir para Windows de una forma fácil, aunque seguramente tu antivirus lo reconozca como herramienta malintencionada (nada más lejos de la realidad).

LOIC a parte de utilizarse para hacer ataques DDoS a páginas web, también sirve para probar el cortafuegos de nuestro router, si el ataque “se para” es que el cortafuegos está haciendo un buen trabajo. Si sigue ilimitadamente significa que el cortafuegos no está actuando y tarde o temprano nuestro router se saturará de peticiones.

A continuación os explico como instalarlo en cualquier distribución de Ubuntu de una forma fácil y rápida.

Lo primero que debemos hacer es crear una carpeta en nuestro /home/ o en nuestro /home/Escritorio

A continuación nos bajamos este script ya hecho (comprobado que funciona bien):

Descargar Script de Instalación y ejecución de LOIC

Lo metéis en la carpeta que creasteis anteriormente, y comprobad los permisos, cambiadlos “chmod 777 loic_redeszone.sh“.

Ahora nos vamos a consola y nos vamos al directorio donde hemos guardado el .sh.

Ejecutamos:

./loic_redeszone.sh install

Y se instalará el programa, descargará el GIT del LOIC y creará una carpeta llamada “LOIC” en la carpeta que creasteis anteriormente.

Una vez instalado, para ejecutarlo tan solo debemos hacer:

./loic_redeszone.sh run

Y os saldrá la interfaz del programa, no es necesario ejecutarlo como root.

Espero que os sirva de ayuda para configurar bien los cortafuegos, como curiosidad comentaros que el Firmware Tomato RAF corta las peticiones a las 2.800 (al menos a mí).


Continúa leyendo
  • The_Crusty_Warrior

    Curioso, funciona muy bien ;), solo comentar que al script se le deben cambiar los permisos a 666 o da un error de permisión denied (normal cuando te lo bajas para ejecutarlo)

    • Puse: cambiadlos “chmod 777 loic_redeszone.sh“, permisos totales y listo 😀

  • Usuario

    Me sale esto al instalarlo:

    El paquete git no está disponible, pero algún otro paquete hace referencia
    a él. Esto puede significar que el paquete falta, está obsoleto o sólo se
    encuentra disponible desde alguna otra fuente
    E: El paquete git no tiene candidato para su instalación
    ./loic_redeszone.sh: línea 55: git: orden no encontrada
    ./loic_redeszone.sh: línea 56: git: orden no encontrada

    • Usuario

      Mill perdones no se copió todo:
      Git not found! Attempting to install…
      Leyendo lista de paquetes… Hecho
      Creando árbol de dependencias
      Leyendo la información de estado… Hecho
      El paquete git no está disponible, pero algún otro paquete hace referencia
      a él. Esto puede significar que el paquete falta, está obsoleto o sólo se
      encuentra disponible desde alguna otra fuente
      E: El paquete git no tiene candidato para su instalación
      ./loic_redeszone.sh: línea 55: git: orden no encontrada
      ./loic_redeszone.sh: línea 56: git: orden no encontrada
      Error: You are not in a LOIC repository.

      • Asegúrate de que tienes conexión a internet, lo acabo de hacer ahora mismo y funciona correctamente, qué permisos le asignaste al script?? 777?

        • Anónimo

          Sí sí, 777, y conexión tengo por huevos sino cómo me lo he descargado? jeje. Si sirve de algo lo estoy haciendo en una máquina virtual.

        • Usuario

          Conexión tengo sí o sí, porque me lo he descargado de aquí, si sirve de algo lo estoy haciendo desde una máquina virtual pero ya te digo tiene conexión, estoy seguro y los permisos están a 777.

        • Usuario

          Vale ya me funciona, muchas gracias !!! ( y perdón por el doble comenario, pensé que el primero no lo había enviado )

  • Solido

    Interesante 🙂

    Lo miraré en Windows 😀

    Graciasss

  • Frog

    A ver si me podeis ayudar , cuando inicio el LOIC todo perfecto hasta que se pone a mandar request, en 2000 y pico se peta todo y me sale pantallazo azul y me reinicia el ordenador (es una patata de ordenador, peeeero, no hay otra cosa)

  • LOIQ

    C++/Qt4 con Hivemind, GPLv3
    http://sourceforge.net/projects/loiq/

    Python sin Hivemind (de momento)
    http://freesoftwareando.com/2010/12/19/simple-pyloic-gui/

    y por favor, no useis nada desarrollando en C# en sistemas libres (Haiku, ArOS, GNU/Hurd/Linux/FreeNOS…, BSD, IllumOS…)

  • mama21mama

    interesante.
    no se por que algunos lo llaman «kiddie script».

  • Víctor Hernández M

    Hola, ya hice la carpeta ya le cambie los permisos y a la hora de querer instalarlo me dice

    Error: You are not in a LOIC repository.

    Que puedo hacer?.

  • Pingback: Instalar LOIC en Ubuntu « La píldora roja()

  • ka

    mira lo que me sale cuando copié la carpeta
    “** (bin/Debug/LOIC.exe:1634): WARNING **: The following assembly referenced from /home/ops/Documentos/LOIC/bin/Debug/LOIC.exe could not be loaded:
    Assembly: System.Windows.Forms (assemblyref_index=0)
    Version: 2.0.0.0
    Public Key: b77a5c561934e089
    The assembly was not found in the Global Assembly Cache, a path listed in the MONO_PATH environment variable, or in the location of the executing assembly (/home/ops/Documentos/LOIC/bin/Debug/).

    ** (bin/Debug/LOIC.exe:1634): WARNING **: Could not load file or assembly ‘System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089’ or one of its dependencies.

    ** (bin/Debug/LOIC.exe:1634): WARNING **: Missing method SetCompatibleTextRenderingDefault in assembly /home/ops/Documentos/LOIC/bin/Debug/LOIC.exe, type System.Windows.Forms.Application

    Unhandled Exception: System.IO.FileNotFoundException: Could not load file or assembly ‘System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089’ or one of its dependencies.
    File name: ‘System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089’
    ops@op:~/Documentos/LOIC$ ” y no se abre

    • Qué sistema operativo usas? Ubuntu? porque funciona al 100%

  • neko

    no funciona para ubuntu 11.04:

    neko@x:~/Downloads$ ./loic_redeszone.sh install
    monodevelop and liblog4net-cil-dev not found! Attempting to install…
    Reading package lists… Done
    Building dependency tree
    Reading state information… Done
    liblog4net-cil-dev is already the newest version.
    monodevelop is already the newest version.
    0 upgraded, 0 newly installed, 0 to remove and 11 not upgraded.
    MonoDevelop Build Tool
    Loading solution: /home/neko/Downloads/LOIC/LOIC.sln
    Loading solution: /home/neko/Downloads/LOIC/LOIC.sln
    Loading projects ..

    Y al final no pasa nada

    • neko

      estupidez mia ‘¬¬…. al final ai k usar:
      ./loic_redeszone.sh run
      y abre sin pedoz, probando…

  • Pingback: Loic Instalación en Ubuntu. | debian-Linux.comyr.com()

  • mandingo

    para q sirve este programa… me llama mucho la atencion.. pero todavia no entiendo bien para que sirve…

    • Para hacer miles de peticiones a una página web y saturarla.

  • Cristian

    Yo no se como cambiar los permisos alguien me indica como?

  • Eduardo

    [root@localhost ~]# urpmi.addmedia LOIC_redeszone http://www.redeszone.net/wp-content/uploads/LOIC_redeszone.zip
    adicionando a mídia “LOIC_redeszone”
    …a busca falhou: curl falhou: código de erro 22

    O que hacer? yo uso el Mandriva 2011

  • alex

    hice todo al paso pero me sale un error al tratar de ERROR: Could not obtain a C# compiler. No se pudo encontrar un
    compilador C# para Mono / .NET 2.0 este es el error que me tira que solucion hay para eso

  • adry

    Hola a tod@s, ay alguna manera de poner un lanzador en escritorio para no estar todo el rato con el terminal ?(uso Backtrack 5) he intentado todo.(creo!!)

Últimos análisis

Valoración RZ
10
Valoración RZ
7
Valoración RZ
9
Valoración RZ
10
Valoración RZ
8
Valoración RZ
10
Valoración RZ
9
Valoración RZ
9
Valoración RZ
10